Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.tools.raster
Class ImportIndexIntoDB.PyramidHelper

    java.lang.Object
      org.deegree.tools.raster.ImportIndexIntoDB.PyramidHelper

All Implemented Interfaces:
  Comparable<ImportIndexIntoDB.PyramidHelper>

Enclosing class:
  ImportIndexIntoDB

     class ImportIndexIntoDB.PyramidHelper

extends Object
implements Comparable<ImportIndexIntoDB.PyramidHelper>

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Field Summary
`(package private) File` | `file`
`(package private) int` | `level`
`(package private) float` | `maxscale`
`(package private) float` | `minscale`
`(package private) float` | `scale`

Constructor Summary
`ImportIndexIntoDB.PyramidHelper()`

Method Summary
`int` | `compareTo(ImportIndexIntoDB.PyramidHelper o)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### file

    File file

### scale

    float scale

### minscale

    float minscale

### maxscale

    float maxscale

### level

    int level

Constructor Detail

### ImportIndexIntoDB.PyramidHelper

    ImportIndexIntoDB.PyramidHelper()

Method Detail

### compareTo

    public int compareTo(ImportIndexIntoDB.PyramidHelper o)

  Specified by:
    `compareTo` in interface `Comparable<ImportIndexIntoDB.PyramidHelper>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org